mav_clipPlanesGet(3)

NAME
mav_clipPlanesGet - Obtain clip frames for 3D volume.

LEVEL
Maverik Level 2

SYNTAX
MAV_clipPlanes mav_clipPlanesGet(MAV_window *w, float xmin, float xmax, float ymin, float ymax, float zmin, float zmax);

MAV_clipPlanes mav_clipPlanesGetFromPixels(MAV_window *w, int xmin, int xmax, int ymin, int ymax, float zmin, float zmax);

MAV_clipPlanes mav_clipPlanesGetFromBB(MAV_BB bb);

DESCRIPTION
mav_clipPlanesGet returns the clip planes corresponding to the 3D volume specified in NDC for window w by (xmin, ymin, zmin, xmax, ymax, zmax).

mav_clipPlanesGetFromPixels is the same, but the 3D volume is specified in pixels.

mav_clipPlanesGetFromBB generates a set of clip planes from a BB.